import math
# задание 1
# Даны 2 действительных числа, получить их сумму, разность и
# произведение
a = 2      # задаем им значение
b = 3
c = a + b  # вывод суммы, разности и произведения
print('Сумма чисел =', c)
c = a - b
print('Разность чисел =', c)
c = a * b
print('Произведение чисел =', c)

# задание 2
# Даны действительные числа x и y, решить уравнение
x = 5   # задаем значение неизвестным
y = 4
# вывод ответа уравнения
print((abs(x - y)) / (1 + abs(x * y)))

# задание 3
# Дана длина ребра куба. Найти объем куба и площадь его боковой
# поверхности.
a = 10   # задаем значение ребру куба
V = a ** 3      # формула для нахождения обьема
S = 4 * a ** 2  # формула для нахождени площади боковой поверхности
# вывод ответа
print('Обьем куба =' + str(V) + 'см3')
print('Площадь куба =' + str(S) + 'см2')

# задание 4
# Даны 2 действительеыйх числа. Найти их среднее арифм., геометрич.
a = 5  # задаем значение числам
b = 9
# выводим ответ используя формулы
print('Среднее арифметическое = ', ((a + b) / 2))
print('Среднее геометрическое = ', math.sqrt(a * b))

# задание 5
# Даны катеты прямоугольного треугольника. Найти его гипотенузу и
# площадь
a = 18  # задаем значение катетам
b = 9
S = 1 / 2 * (a * b)  # формула для нахождения площади
C = ((a ** 2) + (b ** 2)) ** 0.5  # формула для нахожения гипотенузы
# вывод ответа
print('Площадь треугольника = ' + str(S) + 'см')
print('Гипотенуза треугольника = ' + str(C) + 'см')
